## ros-kinetic-multi-jackal-nav 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(multi_jackal_nav)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  nav_msgs
  robot_localization
  roslaunch
  tf
  move_base
)

catkin_package()

roslaunch_add_file_check(launch/jackal_nav.launch)

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch params
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-multi-jackal-nav (0.0.5-0xenial) xenial; urgency=high



 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Sun, 18 Feb 2018 13:30:00 -0000

ros-kinetic-multi-jackal-nav (0.0.4-0xenial) xenial; urgency=high



 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Mon, 12 Feb 2018 13:30:00 -0000

ros-kinetic-multi-jackal-nav (0.0.3-0xenial) xenial; urgency=high

  * licensing, URL's, tutorials updated
  * Contributors: Nick Sullivan

 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Mon, 12 Feb 2018 13:30:00 -0000

ros-kinetic-multi-jackal-nav (0.0.2-0xenial) xenial; urgency=high



 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Sun, 11 Feb 2018 13:30:00 -0000

ros-kinetic-multi-jackal-nav (0.0.1-0xenial) xenial; urgency=high

  * Contributors: Nick Sullivan

 -- Nick Sullivan <nick.dave.sullivan@gmail.com>  Tue, 06 Feb 2018 13:30:00 -0000

=== debian/control ===
Source: ros-kinetic-multi-jackal-nav
Section: misc
Priority: extra
Maintainer: Nick Sullivan <nick.dave.sullivan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-move-base, ros-kinetic-robot-localization, ros-kinetic-roslaunch, ros-kinetic-tf
Homepage: http://ros.org/wiki/multi_jackal_nav
Standards-Version: 3.9.2

Package: ros-kinetic-multi-jackal-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-move-base, ros-kinetic-robot-localization, ros-kinetic-tf
Description: Localization and navigation for the Jackal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-multi-jackal-nav//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
